System.Web 2.0.0.0 System.Web.UI.WebControls.BaseDataBoundControl System.ComponentModel.Designer("System.Web.UI.Design.WebControls.DataBoundControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner")

The class is the base class used for ASP.NET controls that retrieve tabular or list-style data from an ASP.NET data source control and bind user-interface (UI) elements of the control to that data for display. Composite data-bound controls such as , , and ; list-style data-bound controls such as and ; and other controls such as derive from .

Page developers do not use the class directly; instead, they use controls that derive from this class.

Control developers extend this class to create data-bound controls that work with classes that implement the interface and classes that derive from the and classes. When deriving a class from the class, override the method to bind the UI elements of your control to data retrieved by the method. In most cases, the method is the only method you will override in your derived class.

For ASP.NET 2.0 data-bound controls, the method is the equivalent of the DataBind method, and is called to bind data at run time. The method calls the and methods.

Serves as the base class for all ASP.NET version 2.0 data-bound controls that display their data in list or tabular form.

- Constructor
  To be added.

  Initializes the class for use by an inherited class instance. This constructor can only be called by an inherited class.

  2.0.0.0
- Method
  System.Web.UI.DataSourceSelectArguments

  The method is used by the property to initialize a default arguments object, and by the class's implementation of the method.

  Creates a default object used by the data-bound control if no arguments are specified.

  A initialized to .

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.Web.UI.Themeable(false)
  System.String To be added.

  The value of the property is stored in view state.

  This property cannot be set by themes or style sheet themes. For more information, see and ASP.NET Themes Overview.

  Gets or sets the name of the list of data that the data-bound control binds to, in cases where the data source contains more than one distinct list of data items.

  2.0.0.0
- Property
  System.Web.UI.IDReferenceProperty(typeof(System.Web.UI.DataSourceControl))
  System.String To be added. To be added.

  Gets or sets the ID of the control from which the data-bound control retrieves its list of data items.

  2.0.0.0
- Method
  System.Web.UI.DataSourceView

  The method retrieves a object from the associated data source control by calling the method. If the property is used to identify a data source, a default object is created.

  Retrieves a object that the data-bound control uses to perform data operations.

  The that the data-bound control uses to perform data operations. If the property is set, a specific, named is returned; otherwise, the default is returned.

  2.0.0.0
- Method
  System.Web.UI.IDataSource

  The method calls the method internally. A valid instance is retrieved by these two methods and is cached by the object until the method signals that the data source has changed.

  Retrieves the interface that the data-bound control is associated with, if any.

  An that represents the data source identified by .

  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void

  The data-bound control maintains a value in view state that indicates whether it is currently bound to data. The method sets the value to true.

  Sets the state of the control in view state as successfully bound to data.

  2.0.0.0
- Method
  System.Void To be added.

  Rebinds the data-bound control to its data after one of the base data source identification properties changes.

  2.0.0.0
- Method
  System.Void `` ``

  The method notifies a data-bound control that the underlying data source has changed and that the control should rebind and any necessary work should be performed. Typically, the method is called when a property of the data source view has changed.

  The class sets the property to true when it raises the event.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  The source of the event, the . An that contains event data. 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The class calls the method to set the initialized state of the data-bound control and sets the property to true if the HTTP request is not a postback.

  Handles the event.

  An object that contains event data.
- Method
  System.Void `` ``

  The method is overridden by the class to set the property to true in cases where the HTTP request is a postback and view state is enabled but the data-bound control has not yet been bound. This scenario is common with controls such as and , where the visibility of the control is changed at run time.

  Sets the initialized state of the data-bound control before the control is loaded.

  The that raised the event. An that contains the event data. 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  Implement this method instead of the method when you derive a data-bound control from the class. Placing your control's data-binding logic in enables you to avoid the and events being raised in the wrong order.

  While the base class provides no specific implementation for this method, the method is called by the method to bind the values of any user interface (UI) controls to the data that is retrieved by the method.

  When overridden in a derived class, binds data from the data source to the control.

  The list of data returned from a method call.
- Method
  System.Void

  The method is called after data is retrieved to bind data to elements of the data-bound control. Derived types override this method to retrieve data only if the default implementation is not adequate. Typically, it is sufficient to provide a delegate that performs any custom data work, rather than implementing the method.

  Retrieves data from the associated data source.

  2.0.0.0
- Property
  System.Web.UI.DataSourceSelectArguments To be added.

  The property calls the method to create a default object.

  Gets a object that the data-bound control uses when retrieving data from a data source control.

  2.0.0.0
- Method
  System.Void ``

  The method is only called in the class's mutator (set accessor) for the property. The class checks the type of the object that is set for the property to ensure that it is an instance of the , , or interface.

  Verifies that the object a data-bound control binds to is one it can work with.

  An object set to the property. 2.0.0.0